#ifndef TIMER_PID_H_
#define TIMER_PID_H_

#include <mbed.h>
#include "PID_Control.h"

class Timer_PID : public PID_Control
{
public:
    Timer_PID(double kp = 0, double ki = 0, double kd = 0);
    double PID(double present, double target);
    double read_interval();
    void reset();
protected:
    Timer timer;
    double interval;
};

#endif
